import { select, 
         range,
         scaleOrdinal,
         scaleLinear,
         schemeTableau10,
         tsv,
         nest,
         pie,
         arc,
         selectAll,
         interpolate
        } 
from 'd3';

import {
   renderPieChart
 }
from './chart';

import{
   renderOptions
}
from './option'

const width = 1000
const height = 1000
const animDuration = 600
const radius = width;
const pieColorScale = scaleOrdinal(schemeTableau10);
var _current;


const svg = select('.pattern')
                 .attr('height',height)
                 .attr('width',width);

const form = select('form')


const type = (d) =>{ 
  d.count = + d.count;
  return {count: d.count,fruit:d.fruit };
}

let data = []

tsv("fruits.tsv",type,(d)=>{
  d = type(d)
  data.push(d)
}).then(()=> {
   const regionsByFruit = d3.nest()
    .key((d)=> { return d.fruit; })
    .entries(data)
   renderOptions(form,
                 {'data':regionsByFruit},
                 {'selection':svg,
                  'chart':renderPieChart,
                  'colorScale':schemeTableau10,
                  'height':height,
                  'width':width
                 })
})











 

 
